# KDE User's Manual

2010-10-22
K Desktop Environment
plasmapkg
1

# `plasmapkg`

Install, list, remove Plasma packages

    plasmapkg

    -g, --global
    -t, --type  type
    -i, --install  path
    -u, --upgrade  path
    -l, --list
    --list-types
    -r, --remove  name
    -p, --packageroot  path
    KDE Generic Options
    Qt Generic Options

## Description

`plasmapkg` is a command line tool to install, list, remove Plasma packages.

## Options

`-g, --global`

  For install or remove, operates on packages installed for all users.

`-t, --type` type

  The type of package, &eg; theme, wallpaper, plasmoid, dataengine, runner, layout-template, &etc; [plasmoid].

`-i, --install` path

  Install the package at path.

`-u, --upgrade` path

  Upgrade the package at path.

`-l, --list`

  List installed packages.

`-r, --remove` name

  Remove the package named name.

`-p, --packageroot` path

  Absolute path to the package root. If not supplied, then the standard data directories for this &kde; session will be searched instead.

## See Also

More detailed user documentation is available from help:/plasma-desktop (either enter this URL into &konqueror;, or run ``khelpcenter` `help:/plasma-desktop``).

## Authors

`plasmapkg` was written by Aaron Seigo aseigo@kde.org.